body {
    position: relative;
    background: #efefee;
    min-height: 45rem;
    padding-bottom: 80px;
    height: 100%;
}

html {height:100%}

/* SCHEDA */

.box-scheda {
    display: grid;
    grid-template-columns: 20fr 80fr;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
}

/* BOX per TABELLA */

.box-tabella {
    grid-template-columns: 1fr;
}

.box-scheda-etichetta {
    text-align: right;
    margin-right: 10px;
    font-style: italic;
}

/* FILTRO */

.box-filtro {
    display: flex;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
}

.box-filtro-titolo {
    flex: 10 1 auto;
}

.box-filtro-form {
    flex: 90 1 auto;
}

.box-filtro-form-riga {
    display: flex;
    margin-bottom: 5px;
}

.form-label {
    margin-right: 5px;
    margin-left: 5px;
}

.form-button {
    margin-left: 5px;
    margin-right: 5px;
}

#filtro_offerte_stato input {
   margin-left: 6px;
}

#filtro_offerte_stato label {
    margin-left: 4px;
    margin-right: 8px;
}

.form-label {
    text-align: right;
    margin-right: 10px;
    font-style: italic;
}

/* FILTRO PROVINCIA GRID */
.box-filtro-provincia-grid {
    display: grid;
    grid-template-columns: 70fr 30fr;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
}

/* FILTRO GRID */
.box-filtro-grid {
    display: grid;
    grid-template-columns: 10fr 90fr;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
}

.box-filtro-form-riga-grid {
    display: grid;
    grid-template-columns: 15fr 85fr;
    margin-bottom: 5px;
}

/* FORM MODIFICA */

.box-form-modifica {
    display: flex;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
}

.box-form-modifica-riga {
    display: flex;
    margin-bottom: 5px;
}

.box-form-modifica-label {
    margin-right: 5px;
    margin-left: 5px;
}

.box-form-modifica-button {
    margin-left: 5px;
    margin-right: 5px;
}

.box-form-modifica label {
    flex: 10 10 auto;
}

.box-form-modifica input, .box-form-modifica select {
    flex: 90 90 auto;
}

/* FORM MODIFICA - GRID*/

.box-form-grid-modifica {
    display: grid;
    border: black solid 1px;
    border-radius: 20px;
    padding: 10px;
    margin-bottom: 5px;
    grid-template-columns: 1fr;
}

.box-form-grid-modifica-riga {
    display: grid;
    grid-template-columns: 20fr 80fr;
    margin-bottom: 10px;
}

.margine-5 {
    margin-bottom: 3px;
}

.box-form-modifica-label-corsivo {
    margin-right: 5px;
    margin-left: 5px;
    text-align: right;
    font-style: italic;
}

.box-form-modifica-campo-100 input, .box-form-modifica-campo-100 select, .box-form-modifica-campo-100 textarea {
    width: 100%;
}

/* LOGIN FORM */
.login-form {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
}

.login-form-intestazione {
    display: flex;
    justify-content: center;
}

.login-form-intestazione-titolo {
    align-self: center;
}


.login-form-form {
    width: 100%;
    margin-top: 15px;
}

.login-form-form-riga {
    display: flex;
    align-content: stretch;
    margin-bottom: 20px;
}

.login-form-form-riga-etichetta {
    width: 15%;
    font-style: italic;
    text-align: right;
    margin-right: 20px;
}

.login-form-form-riga-input {
    width: 85%;
}

/* DATI OFFERTA */
.dati-offerta {
    display: grid;
    grid-template-columns: 2fr 8fr;
}

.dati-offerta-etichetta {
    text-align: right;
    padding-right: 8px;
}


/* NAVIGATION */

.navbar-bg {
    background-color: #5eb5e0;
    background-size: 80%;
}

.dropdown-menu, .dropdown-menu.show {
    right: 0;
}

.space-brand {
    color: #fff;
    font-weight: bold;
}

.nav-profile-img {
    width: 50px;
    border: 1px solid #fff;
}

/* FOOTER */

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 40px; /* Set the fixed height of the footer here */
    line-height: 40px; /* Vertically center the text there */
    background-color: #fff;
    margin-top: 10px;
}
